package com.sw.mes.fb.maketray.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.core.response.Result;
import com.sw.mes.fb.maketray.dto.MakeTrayItemDto;
import com.sw.mes.fb.maketray.entity.MakeTrayItem;

import java.util.List;
import java.util.Map;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface MakeTrayItemService extends BaseService<MakeTrayItem> {
    List<MakeTrayItem> getItemsByTrayId(Integer trayId);

    // 获取方棒硅棒物料卡
    Result<List<MakeTrayItemDto>> getTrayItemDtoTrayId(Integer trayId);

	List<Map<String, Object>> userCount(String name, String date1, String date2, Integer rows, Integer page);

	List<Map<String, Object>> byCount(String name, String date1, String date2);

    List<MakeTrayItem> getByTrayNo(String trayNo);

    void saveList(List<MakeTrayItem> list);

    String findBySectionFb(String sectionNoFb);

    MakeTrayItem getBySectionFb(String sectionNoFb);

    //Long findByCount(String name, String date1, String date2);

}
